/// <reference path="../../../../../../../src/@types/@kano/common/index.d.ts" />
import '@kano/styles/typography.js';
import { EventEmitter, IDisposable } from '@kano/common/index.js';
import { BannerWidget } from '../../../../challenge/widget/banner.js';
export declare class BriefingFloatingMenu extends BannerWidget {
    protected subscriptions: IDisposable[];
    protected _onDidRequestReset: EventEmitter;
    readonly onDidRequestReset: import("@kano/common/index.js").IEvent<void>;
    protected _onDidEnd: EventEmitter;
    readonly onDidEnd: import("@kano/common/index.js").IEvent<void>;
    private _onDidRequestNextChallenge;
    readonly onDidRequestNextChallenge: import("@kano/common/index.js").IEvent<void>;
    constructor(text: string, nextChallenge: string | Boolean);
    dispose(): void;
}
